<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN" "http://mybatis.org/dtd/mybatis-3-config.dtd">

<configuration>
	<settings>
		<setting name="jdbcTypeForNull" value="NULL" />
	</settings>
	<typeAliases>
		<!-- egovframework -->
		<typeAlias alias="egovMap" type="egovframework.rte.psl.dataaccess.util.EgovMap" />
		
		<typeAlias  alias="searchVO" type="kcg.imis.board.vo.SearchVO"/>

		<!-- kcg.imis.board.vo -->
		<typeAlias  alias="boardSearchVO" type="kcg.imis.board.vo.BoardSearchVO"/>
		<typeAlias  alias="boardVO" type="kcg.imis.board.vo.BoardVO"/>
		
		<!-- kcg.imis.board.vo -->
		<typeAlias  alias="noticeSearchVO" type="kcg.imis.notice.vo.NoticeSearchVO"/>
		<typeAlias  alias="noticeVO" type="kcg.imis.notice.vo.NoticeVO"/>
		
		<!-- kcg.imis.cmmn.vo -->
		<typeAlias alias="codeVO" type="kcg.imis.cmmn.vo.CodeVO" />
		<typeAlias alias="baseSearchVO" type="kcg.imis.cmmn.bbs.BaseSearchVO" />
		<typeAlias alias="menuVO" type="kcg.imis.cmmn.vo.MenuVO" />

		<!-- kcg.imis.sec -->
		<typeAlias alias="loginUserVO" type="kcg.imis.sec.LoginUserVO" />
		<typeAlias alias="securityRolesVO" type="kcg.imis.sec.role.SecurityRolesVO" />

		<!-- kcg.imis.report.vo -->
		<typeAlias alias="reportVO" type="kcg.imis.report.vo.ReportVO" />
		<typeAlias alias="reportFileVO" type="kcg.imis.report.vo.ReportFileVO" />
		<typeAlias alias="reportSearchVO" type="kcg.imis.report.vo.ReportSearchVO" />
		<typeAlias alias="reportJudgeVO" type="kcg.imis.report.vo.ReportJudgeVO" />
		<typeAlias alias="reportCategoryVO" type="kcg.imis.report.vo.ReportCategoryVO" />
		<typeAlias alias="reportApproveVO" type="kcg.imis.report.vo.ReportApproveVO" />
		<typeAlias alias="reportGoalVO" type="kcg.imis.report.vo.ReportGoalVO" />
		
		<typeAlias alias="memberSearchVO" type="kcg.imis.member.vo.MemberSearchVO" />
		<typeAlias alias="memberVO" type="kcg.imis.member.vo.MemberVO" />
		
		<!-- kcg.imis.nation.vo -->
		<typeAlias alias="nationVO" type="kcg.imis.nation.vo.NationVO" />
		
		<!-- kcg.imis.moniter.vo -->
		<typeAlias alias="moniterVO" type="kcg.imis.moniter.vo.MoniterVO" />
		<typeAlias alias="moniterSearchVO" type="kcg.imis.moniter.vo.MoniterSearchVO" />

		<!-- kcg.imis.admin -->
		<typeAlias alias="logSearchVO" type="kcg.imis.admin.vo.LogSearchVO" />
		<typeAlias alias="logVO" type="kcg.imis.admin.vo.LogVO" />
		
    </typeAliases>

    <typeHandlers>
	        <typeHandler handler="org.apache.ibatis.type.ClobTypeHandler" jdbcType="CLOB" javaType="java.lang.String"/>
	</typeHandlers>
    
</configuration>